## python-hupper 1.12

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/hupper.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/hupper.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/hupper"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/hupper"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-hupper 1.0

=== debian/changelog ===
python-hupper (1.0-2) unstable; urgency=medium

  * debian/control: Add python-pytest-cov to B-D (Closes: #868940)

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 20 Jul 2017 18:36:45 +0900

python-hupper (1.0-1) unstable; urgency=medium

  * New upstream version 1.0
  * Bump Standards-Version to 4.0.0 (without changes)
  * debian/compat: Bump to 10

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 19 Jul 2017 12:21:57 +0900

python-hupper (0.4.2-1) unstable; urgency=medium

  * Initial release. (Closes: #854015)

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 03 Feb 2017 11:03:29 +0900

=== debian/control ===
Source: python-hupper
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 10)
	, dh-python
	, python-all
	, python-setuptools
	, python3-all
	, python3-setuptools
	, python-pytest-cov
	, python3-pytest-cov
Standards-Version: 4.0.0
Homepage: https://github.com/Pylons/hupper
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-hupper.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-hupper.git/
#Testsuite: autopkgtest-pkg-python

Package: python-hupper
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Integrated process monitor for developing servers (Python 2)
 hupper is an integrated process monitor that will track changes to any
 imported Python files in sys.modules as well as custom paths. When files
 are changed the process is restarted.
 .
 This package installs the library for Python 2.

Package: python3-hupper
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Integrated process monitor for developing servers. (Python 3)
 hupper is an integrated process monitor that will track changes to any
 imported Python files in sys.modules as well as custom paths. When files
 are changed the process is restarted.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=hupper

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/python3-hupper/usr/bin/hupper $(CURDIR)/debian/python3-hupper/usr/bin/hupper3


# If you need to rebuild the Sphinx documentation
# Add spinxdoc to the dh --with line
#override_dh_auto_build:
#	dh_auto_build
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml        docs/ build/html # HTML generator
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman        docs/ build/man # Manpage generator

## python-hupper 1.3

=== debian/changelog ===
python-hupper (1.3-1) unstable; urgency=medium

  * New upstream version 1.3
  * debian/compat: 11

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 16 Aug 2018 15:23:17 +0900

python-hupper (1.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ TANIGUCHI Takaki ]
  * New upstream version 1.2

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 14 May 2018 18:53:34 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 10)
+Build-Depends: debhelper (>= 11)
 	, dh-python
 	, python-all
 	, python-setuptools
@@ -11,12 +11,10 @@
 	, python3-setuptools
 	, python-pytest-cov
 	, python3-pytest-cov
-Standards-Version: 4.0.0
+Standards-Version: 4.1.4
 Homepage: https://github.com/Pylons/hupper
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-hupper.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-hupper.git/
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-hupper.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-hupper
 #Testsuite: autopkgtest-pkg-python
 
 Package: python-hupper

## python-hupper 1.4.2

=== debian/changelog ===
python-hupper (1.4.2-1) unstable; urgency=medium

  * New upstream version 1.4.2

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 28 Nov 2018 17:53:03 +0900

python-hupper (1.4-1) unstable; urgency=medium

  * New upstream version 1.4

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 02 Nov 2018 11:35:37 +0900

python-hupper (1.3.1-1) unstable; urgency=medium

  [ Chris Lamb ]
  * Remove trailing whitespaces.

  [ TANIGUCHI Takaki ]
  * New upstream version 1.3.1
  * Bump Stanrads-Version to 4.2.1

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 10 Oct 2018 15:19:26 +0900

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	, python3-setuptools
 	, python-pytest-cov
 	, python3-pytest-cov
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/Pylons/hupper
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-hupper.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-hupper
@@ -36,4 +36,3 @@
  are changed the process is restarted.
  .
  This package installs the library for Python 3.
-

## python-hupper 1.5

=== debian/changelog ===
python-hupper (1.5-1) unstable; urgency=medium

  * New upstream version 1.5
  * Bump Stanrads-Version to 4.3.0
  * debian/compat: 12

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 27 Feb 2019 16:51:58 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper (>= 12)
 	, dh-python
 	, python-all
 	, python-setuptools
@@ -11,7 +11,7 @@
 	, python3-setuptools
 	, python-pytest-cov
 	, python3-pytest-cov
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/Pylons/hupper
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-hupper.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-hupper

=== debian/rules ===
--- 
+++ 
@@ -19,4 +19,3 @@
 #	dh_auto_build
 #	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml        docs/ build/html # HTML generator
 #	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman        docs/ build/man # Manpage generator
-

## python-hupper 1.8.1

=== debian/changelog ===
python-hupper (1.8.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ TANIGUCHI Takaki ]
  * New upstream version 1.8.1

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 29 Jul 2019 14:03:17 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 12)
+Build-Depends: debhelper-compat (= 12)
 	, dh-python
 	, python-all
 	, python-setuptools
@@ -11,7 +11,7 @@
 	, python3-setuptools
 	, python-pytest-cov
 	, python3-pytest-cov
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/Pylons/hupper
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-hupper.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-hupper

## python-hupper 1.9.1

=== debian/changelog ===
python-hupper (1.9.1-1) unstable; urgency=medium

  * New upstream version 1.9.1
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 12 Dec 2019 18:48:47 +0900

python-hupper (1.9-1) unstable; urgency=medium

  * New upstream version 1.9
  * Add d/salsa-ci.yml
  * Bump Standards-Version to 4.4.1
  * Set upstream metadata fields: Repository.

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 17 Oct 2019 14:13:31 +0900

python-hupper (1.8.1-2) unstable; urgency=medium

  * Team upload.
  * Remove old binary package files from debian/.
  * Drop Python 2 support (Closes: #937820).

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 27 Sep 2019 00:37:37 +0500

=== debian/control ===
Source: python-hupper
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper-compat (= 12)
	, dh-python
	, python3-all
	, python3-setuptools
	, python3-pytest-cov
Standards-Version: 4.4.1
Homepage: https://github.com/Pylons/hupper
Vcs-Git: https://salsa.debian.org/python-team/modules/python-hupper.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-hupper
#Testsuite: autopkgtest-pkg-python

Package: python3-hupper
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Integrated process monitor for developing servers. (Python 3)
 hupper is an integrated process monitor that will track changes to any
 imported Python files in sys.modules as well as custom paths. When files
 are changed the process is restarted.
 .
 This package installs the library for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_NAME=hupper
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install

## python-hupper 1.10.2

=== debian/changelog ===
python-hupper (1.10.2-1) unstable; urgency=medium

  * New upstream version 1.10.2
  * Bump Standards-Version to 4.5.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 05 Apr 2020 13:37:47 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	, python3-all
 	, python3-setuptools
 	, python3-pytest-cov
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/Pylons/hupper
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-hupper.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-hupper

## python-hupper 1.10.3

=== debian/changelog ===
python-hupper (1.10.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ TANIGUCHI Takaki ]
  * New upstream version 1.10.3
  * Bump Standards-Version to 4.6.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 11 Sep 2021 22:15:49 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: python-hupper
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 	, dh-python
 	, python3-all
 	, python3-setuptools
 	, python3-pytest-cov
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/Pylons/hupper
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-hupper.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-hupper
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-hupper.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-hupper
 #Testsuite: autopkgtest-pkg-python
 
 Package: python3-hupper

=== debian/watch ===
version=4
https://pypi.debian.net/hupper/hupper-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-hupper 1.12

=== debian/changelog ===
python-hupper (1.12-1) unstable; urgency=medium

  * New upstream version 1.12
  * Bump Standards-Version to 4.6.2

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 14 Nov 2023 13:21:56 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	, python3-all
 	, python3-setuptools
 	, python3-pytest-cov
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/Pylons/hupper
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-hupper.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-hupper
